// ******************************************************************************
// @file    boot_stage_2.h
// @author  Milandr Application Team
// @version V0.1.0
// @date    12/02/2024
// @brief   header.
// ******************************************************************************
// THE PRESENT FIRMWARE IS FOR GUIDANCE ONLY. IT AIMS AT PROVIDING CUSTOMERS
// WITH CODING INFORMATION REGARDING MILANDR'S PRODUCTS IN ORDER TO FACILITATE
// THE USE AND SAVE TIME. MILANDR SHALL NOT BE HELD LIABLE FOR ANY
// DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES RESULTING
// FROM THE CONTENT OF SUCH FIRMWARE AND/OR A USE MADE BY CUSTOMERS OF THE
// CODING INFORMATION CONTAINED HEREIN IN THEIR PRODUCTS.

#ifndef boot_stage_2_H
#define boot_stage_2_H

// Includes
#include "system_MDR32VF0xI_config.h"

// @formatter:off
typedef enum
{
    mode_flash  = 0,
    mode_uart_0 = 1,
    mode_uart_1 = 2,
    mode_ram    = 3
} boot_modes;
// @formatter:on

#endif
